<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/resource_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>09/04/81  resource_info_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The resource_info_ subroutine returns selected information about RCP
<span id="L5" class="LineNr">  5 </span>resource types defined on the system.
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>Entry points in resource_info_:
<span id="L9" class="LineNr">  9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>:Entry: get_type:  09/01/81  resource_info_$get_type
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Function:  This entry point, given the name of a resource type,
<span id="L16" class="LineNr"> 16 </span>indicates whether the resource type named is a device or a volume.
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>Syntax:
<span id="L20" class="LineNr"> 20 </span>declare resource_info_$get_type entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr"> 21 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr"> 22 </span>call resource_info_$get_type <span class="textRainbow_lv0_p0">(</span>name<span class="textRainbow_lv0_o0">,</span> is_volume<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Arguments:
<span id="L26" class="LineNr"> 26 </span>name
<span id="L27" class="LineNr"> 27 </span>   is the name of a defined resource type <span class="textRainbow_lv0_p0">(</span>see &quot;Notes&quot; below<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr"> 28 </span>is_volume
<span id="L29" class="LineNr"> 29 </span>   is &quot;1&quot;b if the resource type given specifies a class of volumes.
<span id="L30" class="LineNr"> 30 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> If &quot;0&quot;b, the resource type given specifies a class of
<span id="L31" class="LineNr"> 31 </span>   devices.
<span id="L32" class="LineNr"> 32 </span>code
<span id="L33" class="LineNr"> 33 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr"> 34 </span>
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>Notes:  A list of defined resource types may be obtained via the
<span id="L37" class="LineNr"> 37 </span>list_resource_types command.
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>
<span id="L40" class="LineNr"> 40 </span>:Entry: limits:  09/01/81  resource_info_$limits
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>Function:  This entry point returns information about quantity and time
<span id="L44" class="LineNr"> 44 </span>limits for a given resource type.
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>Syntax:
<span id="L48" class="LineNr"> 48 </span>declare resource_info_$limits entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L49" class="LineNr"> 49 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L50" class="LineNr"> 50 </span>call resource_info_$limits <span class="textRainbow_lv0_p0">(</span>name<span class="textRainbow_lv0_o0">,</span> max_quantity<span class="textRainbow_lv0_o0">,</span> default_time<span class="textRainbow_lv0_o0">,</span> max_time<span class="textRainbow_lv0_o0">,</span>
<span id="L51" class="LineNr"> 51 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>Arguments:
<span id="L55" class="LineNr"> 55 </span>name
<span id="L56" class="LineNr"> 56 </span>   is the name of a defined resource type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L57" class="LineNr"> 57 </span>max_quantity
<span id="L58" class="LineNr"> 58 </span>   is the maximum number of this type of resource that a process may
<span id="L59" class="LineNr"> 59 </span>   assign at one time.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L60" class="LineNr"> 60 </span>default_time
<span id="L61" class="LineNr"> 61 </span>   is the default reservation time, in minutes, for this type of
<span id="L62" class="LineNr"> 62 </span>   resource.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L63" class="LineNr"> 63 </span>max_time
<span id="L64" class="LineNr"> 64 </span>   is the maximum allowed reservation time, in minutes, for this type
<span id="L65" class="LineNr"> 65 </span>   of resource.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L66" class="LineNr"> 66 </span>code
<span id="L67" class="LineNr"> 67 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L68" class="LineNr"> 68 </span>
<span id="L69" class="LineNr"> 69 </span>
<span id="L70" class="LineNr"> 70 </span>Notes:  The information returned by this entry point is from the RTDT.
<span id="L71" class="LineNr"> 71 </span>These are not the limits currently enforced by RCP.
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>:Entry: mates:  09/01/81  resource_info_$mates
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>Function:  This entry provides information about the resource type or
<span id="L78" class="LineNr"> 78 </span>types with which the given resource type may be mounted.
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>Syntax:
<span id="L82" class="LineNr"> 82 </span>declare resource_info_$mates entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span>
<span id="L83" class="LineNr"> 83 </span>     dimension <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L84" class="LineNr"> 84 </span>call resource_info_$mates <span class="textRainbow_lv0_p0">(</span>name<span class="textRainbow_lv0_o0">,</span> n_mates<span class="textRainbow_lv0_o0">,</span> mates<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>
<span id="L87" class="LineNr"> 87 </span>Arguments:
<span id="L88" class="LineNr"> 88 </span>name
<span id="L89" class="LineNr"> 89 </span>   is the name of a defined resource type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L90" class="LineNr"> 90 </span>n_mates
<span id="L91" class="LineNr"> 91 </span>   is the number of mates returned.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L92" class="LineNr"> 92 </span>mates
<span id="L93" class="LineNr"> 93 </span>   contains the name or names of the resource type<span class="textRainbow_lv0_p0">(</span>s<span class="textRainbow_lv0_p0">)</span> that may be
<span id="L94" class="LineNr"> 94 </span>   mounted with this resource <span class="textRainbow_lv0_p0">(</span>see &quot;Notes&quot; below<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L95" class="LineNr"> 95 </span>code
<span id="L96" class="LineNr"> 96 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>Notes:  If the number of elements in mates is too small to hold all the
<span id="L100" class="LineNr">100 </span>mates for the given resource type, code is set to error_table_$smallarg
<span id="L101" class="LineNr">101 </span>and mates is set to the null string.  However, n_mates still contains
<span id="L102" class="LineNr">102 </span>the number of mates associated with the given resource type.
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>:Entry: defaults:  09/01/81  resource_info_$defaults
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>Function:  This entry point fills a resource_descriptions structure
<span id="L109" class="LineNr">109 </span>with the default registration parameters defined in the RTDT.
<span id="L110" class="LineNr">110 </span>
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>Syntax:
<span id="L113" class="LineNr">113 </span>dcl resource_info_$defaults entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> pointer<span class="textRainbow_lv0_o0">,</span>
<span id="L114" class="LineNr">114 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L115" class="LineNr">115 </span>call resource_info_$defaults <span class="textRainbow_lv0_p0">(</span>name<span class="textRainbow_lv0_o0">,</span> subtype<span class="textRainbow_lv0_o0">,</span> resource_desc_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L116" class="LineNr">116 </span>     resource_no<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>Arguments:
<span id="L119" class="LineNr">119 </span>name
<span id="L120" class="LineNr">120 </span>   is the name of a defined resource type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L121" class="LineNr">121 </span>subtype
<span id="L122" class="LineNr">122 </span>   is the name of a subtype of the resource type, defined in the RTDT.
<span id="L123" class="LineNr">123 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> If subtype is the null string, the master defaults for the
<span id="L124" class="LineNr">124 </span>   resource type are used.
<span id="L125" class="LineNr">125 </span>resource_desc_ptr
<span id="L126" class="LineNr">126 </span>   is the pointer to the entire resource_descriptions structure. <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L127" class="LineNr">127 </span>resource_no
<span id="L128" class="LineNr">128 </span>   specifies the resource description structure as defined by
<span id="L129" class="LineNr">129 </span>   resource_description_item <span class="textRainbow_lv0_p0">(</span>resource_no<span class="textRainbow_lv0_p0">)</span>.  If resource_no is 0, all
<span id="L130" class="LineNr">130 </span>   items are used.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L131" class="LineNr">131 </span>code
<span id="L132" class="LineNr">132 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>
<span id="L135" class="LineNr">135 </span>:Entry: lock_on_release:  09/01/81  resource_info_$lock_on_release
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>Function:  This entry point returns a value specifying whether
<span id="L139" class="LineNr">139 </span>resources of a given type are to be locked for manual clearing at
<span id="L140" class="LineNr">140 </span>release time.
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>
<span id="L143" class="LineNr">143 </span>Syntax:
<span id="L144" class="LineNr">144 </span>dcl resource_info_$lock_on_release entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L145" class="LineNr">145 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L146" class="LineNr">146 </span>call resource_info_$lock_on_release <span class="textRainbow_lv0_p0">(</span>name<span class="textRainbow_lv0_o0">,</span> lock_sw<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L147" class="LineNr">147 </span>
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span>Arguments:
<span id="L150" class="LineNr">150 </span>name
<span id="L151" class="LineNr">151 </span>   is the name of a defined resource type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L152" class="LineNr">152 </span>lock_sw
<span id="L153" class="LineNr">153 </span>   specifies whether the resource is locked at release time.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L154" class="LineNr">154 </span>   &quot;1&quot;b   lock the resource
<span id="L155" class="LineNr">155 </span>   &quot;0&quot;b   do not lock the resource
<span id="L156" class="LineNr">156 </span>code
<span id="L157" class="LineNr">157 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>:Entry: canonicalize_name:  09/01/81  resource_info_$canonicalize_name
<span id="L161" class="LineNr">161 </span>
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>Function:  This entry point applies the proper canonicalization to a
<span id="L164" class="LineNr">164 </span>resource name of a given resource type.  See &quot;Canonicalization
<span id="L165" class="LineNr">165 </span>Routines&quot; in the MAM RCP.
<span id="L166" class="LineNr">166 </span>
<span id="L167" class="LineNr">167 </span>
<span id="L168" class="LineNr">168 </span>Syntax:
<span id="L169" class="LineNr">169 </span>declare resource_info_$canonicalize_name entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L170" class="LineNr">170 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L171" class="LineNr">171 </span>call resource_info_$canonicalize_name <span class="textRainbow_lv0_p0">(</span>resource_type<span class="textRainbow_lv0_o0">,</span> resource_name<span class="textRainbow_lv0_o0">,</span>
<span id="L172" class="LineNr">172 </span>     canonicalized_name<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L173" class="LineNr">173 </span>
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>Arguments:
<span id="L176" class="LineNr">176 </span>resource_type
<span id="L177" class="LineNr">177 </span>   is the name of a defined resource type.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L178" class="LineNr">178 </span>resource_name
<span id="L179" class="LineNr">179 </span>   is the string to be canonicalized.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L180" class="LineNr">180 </span>canonicalized_name
<span id="L181" class="LineNr">181 </span>   is the canonicalized representation of resource_name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L182" class="LineNr">182 </span>code
<span id="L183" class="LineNr">183 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
